#import <AppKit/AppKit.h>

@class NSNotification;

@interface ToyProjCtrl : NSObject
{
	id	version;
}

- (void)openFile:(id)sender;
- (void)newDocument:(id)sender;
- (void)saveFile:(id)sender;
- (void)saveFileAs:(id)sender;
- (void)saveAll:(id)sender;
- (void)reloadFile:(id)sender;
- (void)activateInspector:(id)sender;
- (void)activatePreferences:(id)sender;
- (void)activateCoverSheet:(id)sender;

- (void)scenarioShouldClose:(id)scenario;

/* Based on NSMenuActionResponder's Protocol */
- (BOOL)validateMenuItem:(NSMenuItem *)aMenuItem;

/* NSApplication's Delegate */
- (void)applicationDidFinishLaunching:(NSNotification *)notification;
- (BOOL)application:(NSApplication *)theApp openFile:(NSString *)filename;
- (BOOL)applicationShouldTerminate:(NSApplication *)sender;

@end
