@class NSString;

enum {
	bk_Centering = 0,
	bk_Tiling,	/* 1 */
	bk_BrickWork,	/* 2 */
	bk_FitScreen,	/* 3 */
	bk_CoverScreen	/* 4 */
};

enum {
	im_Auto = 0,
	im_Integer = 0x10,
	im_Screen = 0x20,
};

typedef struct {
	unsigned char	overlap;	/* 0: Normal,  1: Overlap/'O' */
	unsigned char	imageSz;	/* 0: Auto, 1-4: Fixed Size/'X' */
	unsigned char	title;		/* 0: None, 1: Upper, 2: Lower/'T' */
	unsigned char	backgflag;
	unsigned char	background;	/* 0-4: c, t, b, f, v */
	unsigned char	notextclr;	/* 1: Not use text color */
	unsigned char	texttransp;	/* 1: Backg. of text&EPS is Transp */
	unsigned char	baseline;	/* 0: Default, 1-9: baseline */
	unsigned char	fontsize;	/* 0: Default, 1-9: size */
	unsigned char	mark;
} opt_t;

void clearOption(opt_t *valp);
void convStringToOption(NSString *str, opt_t *valp);
NSString *convToString(const opt_t *valp);
