#import <AppKit/AppKit.h>
#import <AppKit/NSDragging.h>
#import <AppKit/NSView.h>

@class NSImage;

@interface DraggedIconView:NSView
{
	id	controller;
	float	backgray;
	NSImage *iconimage;
	unsigned int	file_op;
}

+ (void)initialize;
- (id)setup;
- (void)clear;
- (void)setHighlight:(BOOL) flag;
- (unsigned int)fileOperation;

- (unsigned int)draggingEntered:(id <NSDraggingInfo>)sender;
- (unsigned int)draggingUpdated:(id <NSDraggingInfo>)sender;
- (void)draggingExited:(id <NSDraggingInfo>)sender;
- (BOOL)prepareForDragOperation:(id <NSDraggingInfo>)sender;
- (BOOL)performDragOperation:(id <NSDraggingInfo>)sender;
- (void)concludeDragOperation:(id <NSDraggingInfo>)sender;

- (void)drawRect:(NSRect)r;

@end
