#import <AppKit/AppKit.h>
#import "sheetInfo.h"

@class NSNotification;

@interface InspectorCtrl : NSObject
{
	id	panel;
	id	currentTable;
	id	currentOption;
	id	optext;
	id	displaySW;
	id	imageSzPM;
	id	captionRB;
	id	backImageSW;
	id	backImagePM;
	id	noTextColorSW;
	id	textTranspSW;
	id	sheetMarkPM;
	id	baselineSL;
	id	baselineTX;
	id	baselineSW;
	id	fontsizeSL;
	id	fontsizeTX;
	id	fontsizeSW;
	opt_t	optionVal;
	BOOL	isOpened;
}

+ (id)defaultController;
+ (void)appShouldTerminate;
- (void)loadNib;
- (void)activateAndOrderFront:(id)sender;
- (void)setCurrentTable:(id)table;
- (void)selectionChanged:(NSNotification *)aNotification;

- (void)changeDisplay:(id)sender;
- (void)changeImageSise:(id)sender;
- (void)changeCaption:(id)sender;
- (void)changeBackImage:(id)sender;
- (void)toggleBackImage:(id)sender;
- (void)toggleTextColor:(id)sender;
- (void)toggleTextTransp:(id)sender;
- (void)changeSheetMark:(id)sender;
- (void)changeBaseline:(id)sender;
- (void)toggleBaseline:(id)sender;
- (void)changeFontSize:(id)sender;
- (void)toggleFontSize:(id)sender;

/* NSWinodow's Delegate */
- (BOOL)windowShouldClose:(id)sender;

@end
