#import <AppKit/AppKit.h>

@class NSColor, NSImage;

@interface PrefCtrl : NSObject
{
	id	panel;
	id	screenSizeMenu;
	id	dottedFileSW;
	id	bodyRatioSL;
	id	bodyRatioTX;
	id	cursorRB;
	int	sizeTag;
	BOOL	dotted;
	float	bodyRatio;
	id	defaultDic;
	BOOL	changeFlag;
	int	cursorTag;
}

+ (id)defaultPref;
+ (void)appShouldTerminate;

- (id)init;
- (void)dealloc;
- (void)saveDefaults;
- (void)makeKeyAndOrderFront:(id)sender;
- (void)screenSizeChanged:(id)sender;
- (NSSize)screenSize;
- (void)toggleDottedFile:(id)sender;
- (BOOL)isDottedFileListed;
- (void)bodyRatioChanged:(id)sender;
- (float)bodyRatio;
- (void)cursorChanged:(id)sender;
- (NSImage *)currentCursor;

- (void)setAsDefaultValue:(struct setinfo *)info;
- (struct setinfo *)defaultSetting;

@end
