#import <AppKit/AppKit.h>
#import "SettingDictionary.h"

@class	NSFont;

@interface SettingCtrl : NSObject
{
	id	panel;
	id	backgColorWell;
	id	textColorWell;
	id	textBgColorWell;
	id	textBgSW;
	id	textTransp;
	id	sampleView;
	id	revertButton;
	id	scenarioCtrl;
	id	baselineSL;
	id	baselineTX;
	id	fontsizeSL;
	id	fontsizeTX;
	id	EPSMenu;
	id	fontnameTX;
	struct setinfo	*setting;	/* just refering, no need to release */
	BOOL	changeFlag;
}

- (void)dealloc;
- (void)activateAndOrderFront:(id)sender;
- (void)setScenarioCtrl:(id)scenario;
- (void)closePanel:(id)sender;
- (void)setSetting:(struct setinfo *)newsetting;

- (void)changeWell:(id)sender;
- (void)changeTextBgSwitch:(id)sender;
- (void)changeTextBgParameters:(id)sender;
- (void)changeBaseline:(id)sender;
- (void)changeFontSize:(id)sender;
- (void)changeEPSSetting:(id)sender;
- (void)setFontname:(id)sender;
- (void)changeFont:(id)fontManager;

- (void)setAllValue:(id)sender;
- (void)revert:(id)sender;
- (void)saveAsDefault:(id)sender;
- (void)useDefault:(id)sender;

/* NSWinodow's Delegate */
- (BOOL)windowShouldClose:(id)sender;

@end
